# pion::one_to_one_scheduler::service_pair_type Struct Reference

typedef for a pair object where first is an IO service and second is a deadline timer More...

`#include <scheduler.hpp>`

List of all members.

## Public Attributes

boost::asio::io_service | first
boost::asio::deadline_timer | second

## Detailed Description

typedef for a pair object where first is an IO service and second is a deadline timer

Definition at line 342 of file scheduler.hpp.

The documentation for this struct was generated from the following file:

- include/pion/scheduler.hpp